Require Import connectives.
Require Import logic.
Require Import nat.
Definition injn : (nat.nat -> nat.nat) -> nat.nat -> Prop := fun (f:(nat.nat -> nat.nat)) => fun (n:nat.nat) => forall (i:nat.nat), forall (j:nat.nat), (nat.le i n) -> (nat.le j n) -> (logic.eq (nat.nat) (f i) (f j)) -> logic.eq (nat.nat) i j.
Definition permut : (nat.nat -> nat.nat) -> nat.nat -> Prop := fun (f:(nat.nat -> nat.nat)) => fun (m:nat.nat) => connectives.And (forall (i:nat.nat), (nat.le i m) -> nat.le (f i) m) (injn f m).
